Last modified: 20 April 2009
Name: H5Pisa_class
Signature:
  htri_t `H5Pisa_class`( hid_t `plist`, hid_t `pclass` )

Purpose:
  Determines whether a property list is a member of a class.

Description:
  `H5Pisa_class` checks to determine whether the property list `plist` is a member of the property list class `pclass`.

Parameters:

  hid_t `plist` | IN: Property list identifier
  `hid_t` pclass | IN: Property list class identifier

Returns:
  Returns a positive value if true or zero if false; returns a negative value on failure.

See Also:
  `H5Pcreate`

Fortran90 Interface: h5pisa_class_f

      SUBROUTINE h5pisa_class_f(plist, pclass, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist     ! Property list identifier
        INTEGER(HID_T), INTENT(IN) :: pclass    ! Class identifier
        LOGICAL, INTENT(OUT) :: flag            ! Logical flag
                                                !    .TRUE. if a member
                                                !    .FALSE. otherwise
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5pisa_class_f